> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get maxannouncers



## OpenAPI

````yaml /api-reference/oda-max-service-1.0.0.yml get /max/announcers
openapi: 3.0.1
info:
  title: oda-max-service
  version: 1.0.0
servers: []
security: []
paths:
  /max/announcers:
    get:
      operationId: announcers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MaxController.AnnouncerDto'
components:
  schemas:
    MaxController.AnnouncerDto:
      required:
        - accountId
        - announcerType
        - buttons
        - chatId
        - enabled
        - id
        - recipientId
        - text
      type: object
      properties:
        id:
          type: string
        recipientId:
          type: string
        accountId:
          type: string
        chatId:
          type: integer
          format: int64
        text:
          type: string
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/AnnouncerData.Button'
        enabled:
          type: boolean
        announcerType:
          $ref: '#/components/schemas/AnnouncerData.AnnouncerType'
    AnnouncerData.Button:
      required:
        - text
        - url
      type: object
      properties:
        text:
          type: string
        url:
          type: string
    AnnouncerData.AnnouncerType:
      type: string
      enum:
        - ANNOUNCE_STREAM_AND_DELETE
        - ANNOUNCE_STREAM

````